package com.voxeet.uxkit.reactnative.firebase.manifests.impls;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.google.firebase.messaging.FirebaseMessagingService;
import com.voxeet.uxkit.reactnative.firebase.R;
import com.voxeet.uxkit.reactnative.firebase.manifests.abstracts.AbstractNotificationReceiver;
import com.voxeet.uxkit.reactnative.firebase.utils.Reflection;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class CustomServicesReactNativeFirebaseMessagingService extends AbstractNotificationReceiver {

    private String[] services;

    public CustomServicesReactNativeFirebaseMessagingService(@NonNull FirebaseMessagingService parent) {
        super(parent);

        services = parent.getResources().getStringArray(R.array.custom_services);
    }

    @Nullable
    protected List<FirebaseMessagingService> construct(@NonNull FirebaseMessagingService parent) {
        List<FirebaseMessagingService> result = new ArrayList<>();
        for (String str : services) {
            result.add(Reflection.construct(this, str));
        }
        return result;
    }
}
